%define name	fmit
%define version	0.96.5
%define release %mkrel 4

Name: 	 	%{name}
Summary: 	Snazzy instrument tuner with QT interface
Version: 	%{version}
Release: 	%{release}

Source:		http://download.gna.org/fmit/%{name}-%{version}.tar.bz2
URL:		http://home.gna.org/fmit/
License:	GPL
Group:		Sound
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	libalsa-devel mesaglu-devel libmesaglut-devel jackit-devel qt3-devel

%description
Current features
    * Error history
    * Sample wave form
    * Harmonics ratio (Formants)
    * ALSA and JACK support

%package devel
Summary:        Snazzy instrument tuner with QT interface
Group:		Development/Other

%description devel
Fmit devel files

%prep
%setup -q

%build
%configure

make -e features="disable-debug" configure CFLAGS="$RPM_OPT_FLAGS"
%make -e CFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

#menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): command="%{name}" icon="sound_section.png" needs="x11" title="FMIT" longtitle="Musical Intrument Tuner" section="Multimedia/Sound" \
xdg="true"
EOF

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="Qt" \
  --add-category="X-MandrivaLinux-Multimedia-Sound;AudioVideo;Audio;Tuner" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus
		
%postun
%clean_menus

%files -f %{name}.lang
%defattr(-,root,root)
%doc TODO
%{_bindir}/%name
%{_menudir}/%name
%{_datadir}/applications/*
%_datadir/%name

%files devel
%defattr(-,root,root)
%_libdir/*.a

%changelog
* Sun Aug 03 2006  Emmanuel Andry <eandry@mandriva.org> 0.96.5-4mdv2007.0
- xdg menu

* Wed May 24 2006 Lenny Cartier <lenny@mandriva.com>  0.96.5-3mdk
- fix requires

* Fri May 12 2006 Emmanuel Andry <eandry@mandriva.org> 0.96.5-2mdk
- add buildrequires qt3-devel

* Thu Apr 06 2006 Lenny Cartier <lenny@mandriva.com> 0.96.5-1mdk
- 0.96.5

* Thu Dec 2 2004 Austin Acton <austin@mandrake.org> 0.9.6-1mdk
- 0.9.6
- build flags

* Wed Dec 1 2004 Austin Acton <austin@mandrake.org> 0.9.5-1mdk
- jack support
- 0.9.5
- source URL

* Tue Nov 23 2004 Austin Acton <austin@mandrake.org> 0.9.2-1mdk
- initial package
